libterralib3_4.3.0+dfsg.2-12.1_amd64.deb


Advertisement

Description

libterralib3 - C++ library for Geographical Information Systems

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libterralib3_4.3.0+dfsg.2-12.1_amd64.deb
Package name libterralib3
Package version 4.3.0+dfsg.2
Package release 12.1
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage http://www.terralib.org/
License -
Maintainer Alastair McKinstry <mckinstry@debian.org>
Download size 2.47 MB
Installed size 9.69 MB

Alternatives

Package Version Architecture Repository
libterralib3_4.3.0+dfsg.2-12.1_i386.deb 4.3.0+dfsg.2 i386 Debian Main
libterralib3 - - -

Requires

Name Value
libc6 >= 2.14
libdxflib3 >= 3.17.0-3+b1
libgcc1 >= 1:3.0
libgeotiff5 >= 1.3.0
libjpeg62-turbo >= 1.3.1
libmariadb3 >= 3.0.0
libpq5 -
libstdc++6 >= 9
libtiff5 >= 4.0.3
zlib1g >= 1:1.1.4

Conflicts

Name Value
libterralib1c2a -

Replaces

Name Value
libterralib << 4.3.0+dfsg.1-3~
libterralib1c2a -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libterralib3_4.3.0+dfsg.2-12.1_amd64.deb
Source Package libterralib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libterralib3 deb package:
    # sudo apt-get install libterralib3

Files

Path
/usr/lib/x86_64-linux-gnu/libshapelib.so.3
/usr/lib/x86_64-linux-gnu/libshapelib.so.3.6
/usr/lib/x86_64-linux-gnu/libshapelib.so.3.6.1
/usr/lib/x86_64-linux-gnu/libstat.so.3
/usr/lib/x86_64-linux-gnu/libstat.so.3.6
/usr/lib/x86_64-linux-gnu/libstat.so.3.6.1
/usr/lib/x86_64-linux-gnu/libte_dxf.so.3
/usr/lib/x86_64-linux-gnu/libte_dxf.so.3.6
/usr/lib/x86_64-linux-gnu/libte_dxf.so.3.6.1
/usr/lib/x86_64-linux-gnu/libte_functions.so.3
/usr/lib/x86_64-linux-gnu/libte_functions.so.3.6
/usr/lib/x86_64-linux-gnu/libte_functions.so.3.6.1
/usr/lib/x86_64-linux-gnu/libte_mysql.so.3
/usr/lib/x86_64-linux-gnu/libte_mysql.so.3.6
/usr/lib/x86_64-linux-gnu/libte_mysql.so.3.6.1
/usr/lib/x86_64-linux-gnu/libte_postgresql.so.3
/usr/lib/x86_64-linux-gnu/libte_postgresql.so.3.6
/usr/lib/x86_64-linux-gnu/libte_postgresql.so.3.6.1
/usr/lib/x86_64-linux-gnu/libte_shapelib.so.3
/usr/lib/x86_64-linux-gnu/libte_shapelib.so.3.6
/usr/lib/x86_64-linux-gnu/libte_shapelib.so.3.6.1
/usr/lib/x86_64-linux-gnu/libte_utils.so.3
/usr/lib/x86_64-linux-gnu/libte_utils.so.3.6
/usr/lib/x86_64-linux-gnu/libte_utils.so.3.6.1
/usr/lib/x86_64-linux-gnu/libterralib.so.3
/usr/lib/x86_64-linux-gnu/libterralib.so.3.6
/usr/lib/x86_64-linux-gnu/libterralib.so.3.6.1
/usr/lib/x86_64-linux-gnu/libterralibpdi.so.3
/usr/lib/x86_64-linux-gnu/libterralibpdi.so.3.6
/usr/lib/x86_64-linux-gnu/libterralibpdi.so.3.6.1
/usr/share/doc/libterralib3/changelog.Debian.gz
/usr/share/doc/libterralib3/copyright

Changelog

2019-08-26 - Bas Couwenberg <sebastic@debian.org>
libterralib (4.3.0+dfsg.2-12.1) unstable; urgency=medium
* Non-maintainer upload.
* Remove Debian GIS as Maintainer & Vcs-* fields,
package not actually maintained within the team nor in git.
2019-08-26 - Alastair McKinstry <mckinstry@debian.org>
libterralib (4.3.0+dfsg.2-12) unstable; urgency=medium
* Standards-Version: 4.4.0
* Use debhelper-compat (=12)
* Drop obsolete Conflicts/Replaces for libterralib-dev
* Drop unnecessary build-dep libqwt-qt5-dev
2017-07-30 - Alastair McKinstry <mckinstry@debian.org>
libterralib (4.3.0+dfsg.2-11) unstable; urgency=medium
* Ack. patch and close bug: Closes: #831903
* Standards-Version: 4.0.0; no changes required
* Update FSF address in debian/copyright
2016-12-12 - Alastair McKinstry <mckinstry@debian.org>
libterralib (4.3.0+dfsg.2-10) unstable; urgency=medium
* switch to build depend on the metapackage default-libmysqlclient-dev
Closes: #845868
* Use debhelper 10
2016-08-02 - Alastair McKinstry <mckinstry@debian.org>
libterralib (4.3.0+dfsg.2-9) unstable; urgency=medium
* Patch from Set C locale when archiving object files to get a deterministic order.
Thanks to Eduard Sanou. Closes: #831093.
2016-07-14 - Alastair McKinstry <mckinstry@debian.org>
libterralib (4.3.0+dfsg.2-8) unstable; urgency=medium
* Fix for ::isnan change for G++ 5.4, 6.1. Closes: #830463
* Drop Petter Reinholsen as uploader. Closes: #830910.	
2016-05-02 - Alastair McKinstry <mckinstry@debian.org>
libterralib (4.3.0+dfsg.2-7) unstable; urgency=medium
* Add patch for g++6 (-std11) changes.
* Build -std11 in prep. for g++-6
* Standards-Version: 3.9.8
2016-03-07 - Alastair McKinstry <mckinstry@debian.org>
libterralib (4.3.0+dfsg.2-6) unstable; urgency=medium
* Build with libqwt-qt5-dev, don't mix qt4. Closes: #814857.
* Fix Typo in debian/rules includes;  thanks to Dmitry Shachnev
2016-02-22 - Alastair McKinstry <mckinstry@debian.org>
libterralib (4.3.0+dfsg.2-5) unstable; urgency=medium
* Depend on dxflib >= 3.12.2 for transition.
* Standards-Version: 3.9.7; no changes required.
2015-08-07 - Alastair McKinstry <mckinstry@debian.org>
libterralib (4.3.0+dfsg.2-4) unstable; urgency=medium
* Remove libspl, te_spl plugin as broken on Hurd, KFreeBSD.

See Also

Package Description
libtess2-tulip-4.8_4.8.0dfsg-2+b7_amd64.deb yajl shared library, built for Tulip
libtesseract-dev_4.1.0-2_amd64.deb Development files for the tesseract command line OCR tool
libtesseract4_4.1.0-2_amd64.deb Tesseract OCR library
libtest-abortable-perl_0.002-1_all.deb module to handle subtest failures with exceptions
libtest-api-perl_0.010-1_all.deb test a list of subroutines provided by a module
libtest-assertions-perl_1.054-3_all.deb simple set of building blocks for unit and runtime testing
libtest-async-http-perl_0.02-2_all.deb unit test code that uses Net::Async::HTTP
libtest-autoloader-perl_0.03-4_all.deb testing utility for autosplit/autoloaded modules
libtest-base-perl_0.89-1_all.deb data driven testing framework for Perl
libtest-bdd-cucumber-perl_0.67-1_all.deb Cucumber-style acceptance testing framework in Perl
libtest-bits-perl_0.02-2_all.deb Perl module for testing binary data
libtest-block-perl_0.13-3_all.deb module for specifying tests with a finer granularity
libtest-carp-perl_0.2-2_all.deb module to test your code for calls to Carp functions
libtest-checkdeps-perl_0.010-2_all.deb check for presence of dependencies
libtest-checkmanifest-perl_1.42-1_all.deb module to check if your manifest matches your distribution
Advertisement
Advertisement